 var oTable = '';
 $(function() {
		$( "#startdate" ).datepicker({
			dateFormat :'dd-mm-yy',	
			 setDate : $("#startdate").val(), 		
			 minDate: 0,
			changeMonth: true,
			numberOfMonths: 1,
			onClose: function( selectedDate ) {
			$( "#startdate" ).datepicker( "option", "minDate", selectedDate );
			}
			
		});
		$( "#enddate" ).datepicker({
			 dateFormat :'dd-mm-yy',
			 setDate : $("#enddate").val(), 
			 minDate: 0, 
			changeMonth: true,
			numberOfMonths: 1,
			onClose: function( selectedDate ) {
			$( "#enddate" ).datepicker( "option", "maxDate", selectedDate );
			}
			});
		});
      $(document).ready(function(){
         oTable =  jQuery('#datatable').dataTable( { 
		"aaSorting":[[4,'desc']],
        "aoColumnDefs": [
                         { "bSearchable": false, "aTargets": [ 2,3 ] },
                         { "bSortable": false, "aTargets": [ 2] }
                       ] ,
		'iShowPages': 5,
        'sPaginationType': 'full_numbers',
        "bProcessing": false,
        "bServerSide": true,
        "sAjaxSource": base_url+"admin/welcomebanner/bannerslist",
        "fnServerParams": function (aoData) {
            //aoData.push( { "name":"pid", "value":''} );
         },
         "fnServerData": function ( sSource, aoData, fnCallback, oSettings ) {
        	 //oSettings.jqXHR.abort();
        	 ajaxdata = aoData;
             oSettings.jqXHR = $.ajax( {
               "dataType": 'json',
               "type": "POST",
               "url": sSource,
               "data": aoData,
               'beforeSend':function()
       			{
       				$('#loader').show(); 
       			},
               "success": function(data){
                   fnCallback(data);
                  $('#loader').hide();
                   
                }
             });
         },
          "aoColumns": [
                              {"mData": "image_name", "mRender":function(data, type, full){ return data }},
                              { "mData": "youtubevideo", "mRender":function(data, type, full){ return data }},
                              { "mData": "banner_cat", "mRender":function(data, type, full){ return data }},
                              { "mData": "start_date", "mRender":function(data, type, full){ return data }},
                              { "mData": "end_date", "mRender":function(data, type, full){ return data }},
                              { "mData": "banner_status", "mRender":function(data, type, full){ return "<span class='rstatus'>"+data.toLowerCase()+"</span>" }},
                              { "mData": "modified_date", "mRender":function(data, type, full){
								   var str =  '<lable>'+data+'</lable>\
												<span class="actionicons hide right" >\
													<a title="Edit" href="'+base_url+'admin/welcomebanner/edit/'+full.banner_id+'" class="label label-default redit">\
														<i class="fa fa-pencil"></i>\
													</a>\
													<a title="Active" href="javascript:void(0);" onclick="active(\''+base_url+'admin/welcomebanner/active\','+full.banner_id+')" class="ractive label label-success">\
														<i class="fa fa-unlock"></i>\
													</a>\
													<a title="Inactive" href="javascript:void(0);" onclick="inactive(\''+base_url+'admin/welcomebanner/inactive\','+full.banner_id+')" class="rinactive label label-warning">\
														<i class="fa fa-lock"></i>\
													</a>\
													<a title="Delete" href="javascript:void(0);" onclick="deleter(\''+base_url+'admin/welcomebanner/delete\','+full.banner_id+')" class="rdelete label label-danger">\
														<i class="fa fa-times"></i>\
													</a>\
												</span>'; 
								    return str;
							   }},
						],
			"fnRowCallback":function( nRow, aData, iDisplayIndex ){
				jQuery(nRow).addClass("t"+aData.banner_status.toLowerCase());
				jQuery(nRow).attr("id", "t_"+aData.welcomebanner);
			},
	} );
 
      });
      
 //active single record
 if ( window.FileReader ) {
			document.getElementById("banner_file").onchange = function(){
				var value = $(this).val();
				file = value.toLowerCase();
				var ext = file.substring(file.lastIndexOf('.') + 1);
				if(ext == 'jpg' || ext == 'jpeg'|| ext == 'png' || ext == 'jpg'){
					$('#file_validation').html('');
					$('#banner_file').removeClass('parsley-error');	
				}else{
					$('#file_validation').html('Allowed file types jpg,jpeg,png,gif only')
					$('#banner_file').addClass('parsley-error');
					$('.display_prog_img').attr('src', '');
					return false;
				}     
				var counter = -1, file;        
				while ( file = this.files[ ++counter ] ) {         
					var reader = new FileReader(); 
					reader.onloadend = (function(file){                
						return function(){
						var image = new Image();    
						image.height = 100;
						image.title = file.name;
						image.src = /^image/.test(file.type) 
						? this.result 
						: "http://i.stack.imgur.com/t9QlH.png";    
						$('.display_prog_img').attr('src', image.src);
						$('#program_file_dup').val(reader.result);
						validateForm(); 		                    
						}                    
					})(file);                
					reader.readAsDataURL( file );            
				}        
			}    
		
			validateForm = function(){               
			var img_src = $("#program_file_dup").val();		    
					   
			if(img_src==''){
				 $('#banner_file').addClass('parsley-error');
				 return false;
			}else{
				$('#banner_file').removeClass('parsley-error');
			}
			return true;
		};
	}
 function active(url,v)
 {
	// we can not edit the super user details
	if(v==1)
	return false;
	var rec = $('#t_'+v+' td:eq(0)').text();
	$('.alert-title').text('Active');
	$('.alert-text').text('Are you sure you want to active "'+rec+'"');
	$('#myModal').modal('show');
    $('.savemodal').unbind('click');
	$('.savemodal').click(function() {
		   $('#myModal').modal('hide');
		   $.ajax({
					url: url,
					data:'id='+v,
					type:'post',
					beforeSend: function( xhr ) {
					//xhr.overrideMimeType( "text/plain; charset=x-user-defined" );
					$('#loader').show();
					}
					})
					.done(function( data ) {
					  if(data =='activated')
					  {  
						   redraw();
						   $('#loader').hide();
						   
				      } 
	                });
		 });
        
     return false; 
}
  //active single record
  function inactive(url,v)
 {
	// we can not edit the super user details
	if(v==1)
	return false;
     var rec = $('#t_'+v+' td:eq(0)').text();
	$('.alert-title').text('Inactive');
	$('.alert-text').text('Are you sure you want to inactive "'+rec+'"');
    $('#myModal').modal('show');
    $('.savemodal').unbind('click');
	$('.savemodal').click(function() {
		  $('#myModal').modal('hide');
		  $.ajax({
					url: url,
					data:'id='+v,
					type:'post',
					beforeSend: function( xhr ) { 
					    $('#loader').show();
					}
					})
					.done(function( data ) {
					  if(data =='inactivated')
					  {   
						   redraw();
						   $('#loader').hide();
						  
				      } 
	                });
		 });
	 return false;
 }
    //active single record
 function deleter(url,v)
 {
   // we can not edit the super user details
	if(v==1)
	return false;
	var rec = $('#t_'+v+' td:eq(0)').text();
	$('.alert-title').text('Delete');
	$('.alert-text').text('Are you sure you want to delete "'+rec+'"'); 
    $('#myModal').modal('show');
    $('.savemodal').unbind('click');
	$('.savemodal').click(function() {
		  $('#myModal').modal('hide');
		   $.ajax({
					url: url,
					data:'id='+v,
					type:'post',
					beforeSend: function( xhr ) { 
					    $('#loader').show();
					}
					})
					.done(function( data ) {
					  if(data =='deleted')
					  {     
						   redraw();
						   $('#loader').hide();
						   
				      } 
	                });
		 });  
	 return false;
 }
