<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Gallery extends CI_Controller {
	public function __construct(){
		parent::__construct();
		$this->load->model('gallery_model');
	}
	public function index(){	
		$data = array();
		
		$gallerycat = $this->uri->slash_segment(2);
		 $gallerycat=substr($gallerycat, 0, -1);
		if($gallerycat=='')
			$gallerycat='wallpapers';
		 $data['seo'] = seo_data($gallerycat);
		$data['wallpapers'] = $this->gallery_model->getAllGallerycat($gallerycat);
		setScripts("assets/js/freewall.js");
		setScripts("assets/js/jquery.prettyPhoto.js");
		$data['body'] = $this->load->view("gallery_view", $data, true);
		$this->load->view("theme/layout",$data); 
		
	}
	public function latest(){	
		$data = array();
		
		$gallerycat='wallpapers';
		 $data['seo'] = seo_data($gallerycat);
		$data['wallpapers'] = $this->gallery_model->getAllGallerycat("",15);
		setScripts("assets/js/freewall.js");
		setScripts("assets/js/jquery.prettyPhoto.js");
		$data['body'] = $this->load->view("gallery_latest", $data, true);
		$this->load->view("theme/layout",$data); 
		
	}
	
	public function details(){	
		$data = array();
		$gallerycat = $this->uri->slash_segment(2);
		$gallerycat=substr($gallerycat, 0, -1);
		$data['galcat']=$gallerycat;
		$gallerycatID = $this->gallery_model->getGallerycatId($gallerycat);
		$gallerytitle = $this->uri->slash_segment(3);
		$gallerytitle=substr($gallerytitle, 0, -1);
		$data['allimages'] = $this->gallery_model->getFullGallery($gallerytitle,$gallerycatID[0]->category_id);
		 
		// seo data 
			    $seodata = array();
				$seodata['page_title'] = $gallerytitle;
			    $seodata['page_description'] = $gallerytitle;
			    $seodata['page_meta_description'] = $gallerytitle;
			    $seodata['page_meta_keywords'] = $gallerytitle;
			    $seodata['page_meta_title'] = $gallerytitle;
			    $data['seo'] = $seodata ;
				if($this->session->userdata('success_msg')!="")
					$data['successmsg']=$this->session->userdata('success_msg');
				else
					$data['successmsg']="";
		$this->session->set_userdata('success_msg','');
		setScripts("assets/js/freewall.js");
		setScripts("assets/js/jquery.prettyPhoto.js");
		$data['body'] = $this->load->view("gallery_detail_view", $data, true);
		$this->load->view("theme/layout",$data); 
	}
	public function getimg(){	
		$data = array();
		$gallerycat = $this->uri->slash_segment(3);
		$gallerycat=substr($gallerycat, 0, -1);
		$gallerytitle = $this->uri->slash_segment(4);
		$gallerytitle=substr($gallerytitle, 0, -1);
		$imgno = $this->uri->slash_segment(5);
		$imgno=substr($imgno, 0, -1);
		$images = $this->gallery_model->getgalimag($gallerycat,$gallerytitle);
		$homeimages=json_decode($images[0]->gallery_images);
		//print_r($homeimages);
		$i=0;
		foreach($homeimages as $homeimage){
			if($i==$imgno){
			echo base_url().$homeimage->img;
			break;
			}
			$i++;
		}
	}
	public function postOnFbWall(){ 
	   // set call back url for module
		$imagepsth='';
	    $gallerycat = $this->uri->slash_segment(3);
		 $gallerycat=substr($gallerycat, 0, -1);
		$gallerytitle = $this->uri->slash_segment(4);
		 $gallerytitle=substr($gallerytitle, 0, -1);
		$imgno = $this->uri->slash_segment(5);
		 $imgno=substr($imgno, 0, -1);
		$imgurl = base_url().'gallery/'.$gallerycat.'/'.$gallerytitle.'#prettyPhoto[pp_gal]/'.$imgno.'/';
		$backurl='gallery/'.$gallerycat.'/'.$gallerytitle;
		 //$imgurl='http://maatv.com/demo/gallery/movie-stills/masala#prettyPhoto[pp_gal]/10/';
		 
		$images = $this->gallery_model->getgalimag($gallerycat,$gallerytitle);
		$homeimages=json_decode($images[0]->gallery_images);
		$i=0;
		foreach($homeimages as $homeimage){
			if($i==$imgno){
			$imagepsth= base_url().$homeimage->img;
			break;
			}
			$i++;
		}
	    
	    if($imagepsth!="")
		{
		  $fbdata =array();
		  
		  //print_r($news);
		  
		    // post fb data format on wall
			$fbdata['name'] =  $gallerytitle;
			$fbdata['link'] =  $imgurl;			 
			$this->session->set_userdata('callbackurl',$backurl);
			$fbdata['picture'] = $imagepsth;
			$fbdata['description']=$gallerytitle;
			//print_r($fbdata);die;
	        $post = postOnFb($fbdata);
	        
	        if($post)
				$this->session->set_userdata('success_msg','Successfully posted on facebook wall'); 
	    }else{
		     $this->session->set_userdata('error_msg',$this->lang->line('News does not exits in our records'));
  		}
		redirect($imgurl);
	}
	
	
}
