<?php 
if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * 
 * @author Suresh
 * 
 */

class admin_gallery_model extends CI_Model {

    function __construct(){
           parent::__construct();
    }
    
	public function galleryList()
	{
		$this->datatables->select('gallery_id,image_title,image_path,created_date') 
			->from('maatv_gallery'); 
			//->where(array("gallery_status !="=> 'DELETE', 'gallery_category_id'=>$type));
        $values = json_decode($this->datatables->generate());
       
       foreach($values->aaData as $key=>$val) {
					$temp = $val;
					//$temp->gallery_title = stripslashes($temp->gallery_title);
					$temp->created_date = date("d M,Y H:i", strtotime($temp->created_date));
					$values->aaData[$key] = $temp;
			 }
		
		return json_encode($values);
		
	}
	function saveData($arr,$imgdata)
	{
	 
		 
			 
			 
			foreach($imgdata as $k=>$v)
			{ 
				
			  $ins =  array();
			  $ins['created_date'] = $arr['created_date'];
			  $ins['image_path'] = $v['img'];
			  $ins['image_title'] = $v['title'];
			  print_r($ins);
			  $this->db->insert('gallery', $ins); 
		    }
			return true;
		 
	}
	public function userslist() {
		$temp = $this->session->userdata('admin_user_data');
		/*$this->datatables->select('admin_id,admin_displayname,admin_email,admin_status,maatv_roles.created_date,maatv_users.created_date as usercreated,role_name')
			 ->unset_column('admin_id')
			 ->from('maatv_users') 			
			 ->join('maatv_roles', 'maatv_users.role_id = maatv_roles.role_id','left')
			 ->where('admin_id != '.$temp->admin_id)
			 ->where('admin_status != "DELETE"');
		*/
			$values = $this->db->select(array('admin_id', 'admin_displayname'))->from('maatv_users')->where('admin_id != 1')->where('admin_status = "ACTIVE"')->where('admin_status != "DELETE"')->get()->result_array();
		  
       	return $values;
	}
	public function userimages($user_id)
	{
		$this->db->select("*");
		$this->db->from("imagestousers");
		$this->db->join("gallery","gallery.gallery_id=imagestousers.image_id");
		$this->db->where("user_id",$user_id); 
		$query = $this->db->get();
	    if($query->num_rows() > 0) {
			return $query->result();
		}else{
			return false;
		}
	}
	public function getCategories()
	{
		return $this->db->select(array('category_id', 'category_name'))->from('gallery_category')->where('category_status','ACTIVE')->get()->result_array();
	}
	public function updatedUserImages($images,$users)
	{
		  $users = explode(',',$users);
		  $images = explode(',',$images);
		  
		  foreach($users as $k=>$v)
		  {
			   foreach($images as $x=>$y)
			   {        
						  $ins = array();
						  $ins['user_id'] = $v;
						  $ins['image_id'] = $y;
				        $this->db->select("*");
						$this->db->from("imagestousers");
						$this->db->where("user_id", $v);
						$this->db->where("image_id", $y);
						$query = $this->db->get(); 
						if($query->num_rows() == 0) {
						    $this->db->insert('imagestousers', $ins); 
						}
			   }
		  }
		  return;
		// $this->db->select(array('id', 'category_name'))->from('imagestousers')->where('category_status','ACTIVE')->get()->result_array();
	}
	public function getGalleryCategoryName($id)
	{
		$this->db->select('*');
		$this->db->from('gallery_category');
		$this->db->where(array('category_status'=>'ACTIVE', 'category_id'=>$id));
		$query = $this->db->get();
		$res = $query->row();
		return $res->category_name;
	}
	
	public function getGalleryDetails($id)
	{
		$this->db->select("*");
		$this->db->from("gallery");
		$this->db->where('gallery_id',$id);
		$query = $this->db->get();

		if($query->num_rows() > 0) {
			return $query->result();
		}else{
			return false;
		}
	}
	
	public function updateGallery($arr) {
		 
		$this->db->select("*");
		$this->db->from("gallery");
		$this->db->where("gallery_title",$arr['gallery_title']);
		$this->db->where("gallery_id != ".$arr['gallery_id']);
		$this->db->where("gallery_category_id",$arr['gallery_category_id']);
		$query = $this->db->get();
		if ($query->num_rows() >= 1) {
			return false;
		} else {
			$this->db->where('gallery_id',$arr['gallery_id']);
			$this->db->update("gallery",$arr );
			/////echo $this->db->last_query();
			return true;
		}
	}
	
	public function deleteImage($id, $img_data){
		$this->db->select("*");
		$this->db->from("gallery");
		$this->db->where("gallery_id = ".$id);
		$query = $this->db->get();
		
		if ($query->num_rows() > 1) {
			return false;
		} else {
			$this->db->where('gallery_id',$id);
			$this->db->update("gallery", array('gallery_images'=>$img_data) );
			return true;
		}
	}
	
	public function activeGallery($id) {		 
	
		$arr = array();
		$arr['gallery_status'] = 'ACTIVE';
		$this->db->where_in("gallery_id", $id);
		$this->db->update("gallery",$arr);
		return true;
	    
	}
	public function inactiveGallery($id) {		 
	
 		$arr = array();
		$arr['gallery_status'] = 'INACTIVE';
		$this->db->where_in("gallery_id", $id);
		$this->db->update("gallery",$arr);
		return true;
	    
	}
	public function favoriteGallery($id) {		 
	
		$arr = array();
		$arr['gallery_favorite'] = '0';
		$this->db->where_in("gallery_id", $id);
		$this->db->update("gallery",$arr);
		return true;
	    
	}
	public function unfavoriteGallery($id) {		 
	
 		$arr = array();
		$arr['gallery_favorite'] = '1';
		$this->db->where_in("gallery_id", $id);
		$this->db->update("gallery",$arr);
		return true;
	    
	}
	public function getmaxorder(){
		$this->db->select_max('gallery_order');
		$result = $this->db->get('gallery')->row();  
		return $result->gallery_order;
	}
	
	public function update_sort_index($gid, $cid, $order)
	{
		$this->db->where('gallery_id', $gid);
		$this->db->where('gallery_category_id', $cid);
		return $this->db->update('gallery', array('gallery_order' =>$order));
	}
	
	public function deleteGallery($id) {		 
	
		$arr = array(); 
		$arr['gallery_status'] = 'DELETE';
		$this->db->where("gallery_id", $id);
		$this->db->update("gallery",$arr);
		return true;
	}
}
